Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread George Bosilca
On Thu, Sep 28, 2017 at 12:45 AM, Fab Tillier via users < users@lists.open-mpi.org> wrote: > Hi Llelan, > > Llelan D. wrote on Wed, 27 Sep 2017 at 19:06:23 > > > On 09/27/2017 3:04 PM, Jeffrey A Cummings wrote: > >> The MS-MPI developers disagree with your statement below and claim to > >> be

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Fab Tillier via users
Hi Llelan, Llelan D. wrote on Wed, 27 Sep 2017 at 19:06:23 > On 09/27/2017 3:04 PM, Jeffrey A Cummings wrote: >> The MS-MPI developers disagree with your statement below and claim to >> be actively working on MPI-3.0 compliance, with an expected new version >> release about every six month. > >

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Llelan D.
On 09/27/2017 3:04 PM, Jeffrey A Cummings wrote: The MS-MPI developers disagree with your statement below and claim to be actively working on MPI-3.0 compliance, with an expected new version release about every six month. They can disagree as much as they want. I've spent over 30 years doing

[OMPI users] Open MPI internal error

2017-09-27 Thread Ludovic Raess
Hi, we have a issue on our 32 nodes Linux cluster regarding the usage of Open MPI in a Infiniband dual-rail configuration (2 IB Connect X FDR single port HCA, Centos 6.6, OFED 3.1, openmpi 2.0.0, gcc 5.4, cuda 7). On long runs (over ~10 days) involving more than 1 node (usually 64 MPI

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Jeffrey A Cummings
The MS-MPI developers disagree with your statement below and claim to be actively working on MPI-3.0 compliance, with an expected new version release about every six month. - Jeff Jeffrey A. Cummings Engineering Specialist Performance Modeling and Analysis Department Systems Analysis and

Re: [OMPI users] Fwd: Make All error regarding either "Conflicting" or "Previous Declaration" among others

2017-09-27 Thread Aragorn Inocencio
Good morning Jeff, Yes, I was also watching that thread for any developments as it's pretty much the same scenario. On Sep 27, 2017 11:49 PM, "Jeff Squyres (jsquyres)" wrote: Check out this thread on the users archive:

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Jeff Squyres (jsquyres)
On Sep 27, 2017, at 3:21 PM, Llelan D. wrote: > >> After I finish on 2.1.2 I will look on 3.0. > Thank you for your response. I am looking forward to a Cygwin release. > If you could send me some guidelines as to the preferred manner of doing this > as was done with

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Llelan D.
On 09/27/2017 4:36 AM, Marco Atzeri wrote: After I finish on 2.1.2 I will look on 3.0. Thank you for your response. I am looking forward to a Cygwin release. If you could send me some guidelines as to the preferred manner of doing this as was done with previous versions, I could work on it

Re: [OMPI users] Fwd: Make All error regarding either "Conflicting" or "Previous Declaration" among others

2017-09-27 Thread Jeff Squyres (jsquyres)
Check out this thread on the users archive: https://www.mail-archive.com/users@lists.open-mpi.org/msg31602.html including Marco's reply (Marco is the Cygwin Open MPI package maintainer). > On Sep 27, 2017, at 1:21 AM, Aragorn Inocencio > wrote: > > Good

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Jeffrey A Cummings
The OpenMPI developers stopped supporting Windows a long time (several major versions) ago. Microsoft has a free version of MPI for Windows available for download. There's no guarantee it will be free forever but it is free for now. I've been using it for about a year and it works for me.

Re: [OMPI users] Error building openmpi on Raspberry pi 2

2017-09-27 Thread Jeff Layton
I could never get OpenMPI < 2.x to build on a Pi 2. I ended up using the binary from the repos. Pi 3 is a different matter - I got that to build after a little experimentation :) Jeff On Wednesday, September 27, 2017 8:03 AM, Nathan Hjelm wrote: Open MPI does not

Re: [OMPI users] Error building openmpi on Raspberry pi 2

2017-09-27 Thread Nathan Hjelm
Open MPI does not officially support ARM in the v2.1 series. Can you download a nightly tarball from https://www.open-mpi.org/nightly/master/ and see if it works for you? -Nathan > On Sep 26, 2017, at 7:32 PM, Faraz Hussain wrote: > > I am receiving the make errors below

Re: [OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Marco Atzeri
On 27/09/2017 09:30, Llelan D. wrote: Can OpenMPI v3.0 be compiled for Cygwin64 on Windows 10? Using: ./congifure --prefix=/usr/local  [blah, blah... Apparently successful (At least it doesn't say there's an error)] make -j 12 all I'm getting a slew of compiler errors about redefinitions

[OMPI users] OpenMPI v3.0 on Cygwin

2017-09-27 Thread Llelan D.
Can OpenMPI v3.0 be compiled for Cygwin64 on Windows 10? Using: ./congifure --prefix=/usr/local [blah, blah... Apparently successful (At least it doesn't say there's an error)] make -j 12 all I'm getting a slew of compiler errors about redefinitions between:

Re: [OMPI users] Error building openmpi on Raspberry pi 2

2017-09-27 Thread John Hearns via users
This might be of interest for ARM users: https://developer.arm.com/products/software-development-tools/hpc/arm-compiler-for-hpc On 27 September 2017 at 06:58, Gilles Gouaillardet < gilles.gouaillar...@gmail.com> wrote: > Faraz, > > which OS are you running ? > > iirc, i faced similar issues,